Subject: Re: [Sigtran] your mail

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 21 Feb 2008 13:48:47 -0700

Ravi,

Wireshark worked fine last time I checked.  Perhaps
wireshark has a bug, or is not updated to the current
IUA specs, or you are not setting the contained Q.931
protocol correctly (e.g. Q.931 instead of NA-II), or
perhaps your messages are truly malformed.  (Check
whether they are malformed at the IUA/Q.921 level or
the Q.931 level.)

If the wireshark project doesn't provide the support
that you need, there are many commercial protocol
analyzers that support IUA and a wide range of Q.931
national variants.  You can even get wireshark support
from some commercial outfits.  I think that one of those
commercial vendors also provides a website into which you
can cut and paste the hex of the message and get an
interactive decoding.

But this is off topic for the SIGTRAN mailing list.

--brian

Ravi Rajaratnam wrote:                        (Fri, 22 Feb 2008 07:23:07)
> 
>    Hi Brian,
> 
> 
>    I  have  managed  to  capture  IUA  messages  using wireshark protocol
>    analyser  but unable to decode the Q931 messages.
> 
>    It shows as mulfoamed IUA.
> 
> 
>    Could  you  please  suggest  something  so  that  I  can  decode these
>    messages.
> 
> 
>    Regards
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sigtran